App\Library\Amazon\Classes\AutoAccessory\ProductTypeAType:
    properties:
        autoAccessoryMisc:
            expose: true
            access_type: public_method
            serialized_name: AutoAccessoryMisc
            accessor:
                getter: getAutoAccessoryMisc
                setter: setAutoAccessoryMisc
            type: App\Library\Amazon\Classes\AutoAccessoryMisc
        autoPart:
            expose: true
            access_type: public_method
            serialized_name: AutoPart
            accessor:
                getter: getAutoPart
                setter: setAutoPart
            type: App\Library\Amazon\Classes\AutoPart
        powersportsPart:
            expose: true
            access_type: public_method
            serialized_name: PowersportsPart
            accessor:
                getter: getPowersportsPart
                setter: setPowersportsPart
            type: App\Library\Amazon\Classes\PowersportsPart
        powersportsVehicle:
            expose: true
            access_type: public_method
            serialized_name: PowersportsVehicle
            accessor:
                getter: getPowersportsVehicle
                setter: setPowersportsVehicle
            type: App\Library\Amazon\Classes\PowersportsVehicle
        protectiveGear:
            expose: true
            access_type: public_method
            serialized_name: ProtectiveGear
            accessor:
                getter: getProtectiveGear
                setter: setProtectiveGear
            type: App\Library\Amazon\Classes\ProtectiveGear
        helmet:
            expose: true
            access_type: public_method
            serialized_name: Helmet
            accessor:
                getter: getHelmet
                setter: setHelmet
            type: App\Library\Amazon\Classes\Helmet
        ridingApparel:
            expose: true
            access_type: public_method
            serialized_name: RidingApparel
            accessor:
                getter: getRidingApparel
                setter: setRidingApparel
            type: App\Library\Amazon\Classes\RidingApparel
        tire:
            expose: true
            access_type: public_method
            serialized_name: Tire
            accessor:
                getter: getTire
                setter: setTire
            type: App\Library\Amazon\Classes\Tire
        rims:
            expose: true
            access_type: public_method
            serialized_name: Rims
            accessor:
                getter: getRims
                setter: setRims
            type: App\Library\Amazon\Classes\Rims
        tireAndWheel:
            expose: true
            access_type: public_method
            serialized_name: TireAndWheel
            accessor:
                getter: getTireAndWheel
                setter: setTireAndWheel
            type: App\Library\Amazon\Classes\TireAndWheel
        vehicle:
            expose: true
            access_type: public_method
            serialized_name: Vehicle
            accessor:
                getter: getVehicle
                setter: setVehicle
            type: App\Library\Amazon\Classes\Vehicle
        motorcyclepart:
            expose: true
            access_type: public_method
            serialized_name: Motorcyclepart
            accessor:
                getter: getMotorcyclepart
                setter: setMotorcyclepart
            type: App\Library\Amazon\Classes\Motorcyclepart
        motorcycleaccessory:
            expose: true
            access_type: public_method
            serialized_name: Motorcycleaccessory
            accessor:
                getter: getMotorcycleaccessory
                setter: setMotorcycleaccessory
            type: App\Library\Amazon\Classes\Motorcycleaccessory
        ridinggloves:
            expose: true
            access_type: public_method
            serialized_name: Ridinggloves
            accessor:
                getter: getRidinggloves
                setter: setRidinggloves
            type: App\Library\Amazon\Classes\Ridinggloves
        ridingboots:
            expose: true
            access_type: public_method
            serialized_name: Ridingboots
            accessor:
                getter: getRidingboots
                setter: setRidingboots
            type: App\Library\Amazon\Classes\Ridingboots
        autooil:
            expose: true
            access_type: public_method
            serialized_name: Autooil
            accessor:
                getter: getAutooil
                setter: setAutooil
            type: App\Library\Amazon\Classes\Autooil
        autobattery:
            expose: true
            access_type: public_method
            serialized_name: Autobattery
            accessor:
                getter: getAutobattery
                setter: setAutobattery
            type: App\Library\Amazon\Classes\Autobattery
        autochemical:
            expose: true
            access_type: public_method
            serialized_name: Autochemical
            accessor:
                getter: getAutochemical
                setter: setAutochemical
            type: App\Library\Amazon\Classes\Autochemical
        cleaningOrRepairKit:
            expose: true
            access_type: public_method
            serialized_name: CleaningOrRepairKit
            accessor:
                getter: getCleaningOrRepairKit
                setter: setCleaningOrRepairKit
            type: App\Library\Amazon\Classes\CleaningOrRepairKit
